package wellknown

import "go.sebtobie.de/httpserver"

// Finger is an Simple Type for site to transport the information about the webfinger to the middleware
type Finger struct {
	Webfinger Webfinger
	Protocol  string
}

// FingerSite is an type of site that provide content and want to publish it with webfinger
type FingerSite interface {
	httpserver.Site
	RegisterFingers() []*Finger
}
